package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.VPN;

import java.util.List;

@ApiModel(value = "VpnBeanWrapper",
        description = "Information related to VPN Configuration.")
public class VPNBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute VPN operation.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "VPN.", required = true)
    private VPN operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public VPN getOperation() {
        return operation;
    }

    public void setOperation(VPN operation) {
        this.operation = operation;
    }
}

